<?php

App::uses('EvTemplatesAppController', 'EvTemplates.Controller');
App::uses('Folder', 'Utility');

class TemplatesController extends EvTemplatesAppController
{
	/**
	 * Prepare data for populating admin dropdowns.
	 */
	protected function _adminPopulateLookups() {

		// search for templates
		$templates = array();

		$templateDir = 'Templates';
		$viewDir = APP . 'View' . DS;
		$dir = new Folder($viewDir . $templateDir);
		$files = $dir->findRecursive('.*\.ctp');

		foreach ($files as $file) {

			$filePath = str_replace($viewDir . $templateDir . DS, '', $file);
			$filename = substr($filePath, 0, -4);

			$templates[$templateDir . DS . $filename] = $filePath;
		}

		$this->set(compact('templates'));
	}


	/**
	 * Prepare the admin form fields for the menu item form
	 * @return array
	 */
	protected function _adminFormFields() {

		$Model = $this->{$this->modelClass};

		$fields = parent::_adminFormFields();

		$fields[$Model->alias . '.template']['type'] = 'select';

		return $fields;
	}


	/**
	 * redefine admin_edit to set our own template
	 *
	 */
	public function admin_edit($id = null)
	{
		parent::admin_edit($id);

		$this->view = 'EvTemplates.Templates/admin_form';
	}

}
